Subject: Re: [rbridge] Queries on RFC 6325

From: rakesh kumar <[email-masked]>
Date: Thu, 17 Nov 2011 13:15:02 +0530

Hi Donald,

             I am still not clear why "with the remainder (upto the
maximum of {j,k})" is considered. As for all the values of j,j<k,
maximum{j,k} will default to k implies ingress set of tress will
default k trees specified by root.

To make it more clear suppose  RB2,not the highest priority rbridge,
has specified j=2 and D3,D4 are explicitly "specified ingress tree
nicknames" .RB1, highest priority RBridge,has specified K=5 and
D1,D2,D3,D4,D5 as campus wide trees to be calculated by all the
rbridges in the campus.

RB3 has to identify potential ingress trees of RB2,ingress trees are
trees which are explicitly specified by RB2 i.e. is D3,D4 and
remainder are implicit ingress trees upto 5 (as 5 is maximum
{j=2,k=5}) are taken from k-campus wide trees which are
D1,D2,D5.Thus,potential ingress trees of RB2 are D3,D4,D1,D2,D5 which
are not different from set of trees specified by root
D1,D2,D3,D4,D5,which wont honor j list specified by RB2.

And i feel "with the remainder (upto the minimum of {j,k})" will honor
j list specifed by RB2 and fetch ingress tress as subset of K trees
for the j value less than k.

Regards,
Rakesh

On Thu, Nov 17, 2011 at 1:30 AM,  <[email-masked]> wrote:
> Send rbridge mailing list submissions to
>        [email-masked]
>
> To subscribe or unsubscribe via the World Wide Web, visit
>        http://mailman.postel.org/mailman/listinfo/rbridge
> or, via email, send a message with subject or body 'help' to
>        [email-masked]
>
> You can reach the person managing the list at
>        [email-masked]
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of rbridge digest..."
>
>
> Today's Topics:
>
>   1. Re: Queries on RFC 6325 (Donald Eastlake)
>   2. Re: Adopt draft-eastlake-trill-rbridge-fine-labeling-02.txt
>      as WG document (David Allan I)
>   3. Re: Adopt draft-eastlake-trill-rbridge-fine-labeling-02.txt
>      as WG document ([email-masked])
>   4. Re: Adopt draft-eastlake-trill-rbridge-fine-labeling-02.txt
>      as WG document (Jon Hudson)
>   5. Re: Adopt draft-eastlake-trill-rbridge-fine-labeling-02.txt
>      as WG document (Tissa Senevirathne (tsenevir))
>   6. Re: Adopt draft-eastlake-trill-rbridge-fine-labeling-02.txt
>      as WG document (Liyizhou)
>
>
> ----------------------------------------------------------------------
>
> Message: 1
> Date: Wed, 16 Nov 2011 01:21:35 -0500
> From: Donald Eastlake <[email-masked]>
> Subject: Re: [rbridge] Queries on RFC 6325
> To: Sivakumar V <[email-masked]>
> Cc: [email-masked]
> Message-ID:
>        <[email-masked]>
> Content-Type: text/plain; charset=ISO-8859-1
>
> Hi Siva,
>
> On Tue, Nov 15, 2011 at 2:05 AM, Sivakumar V <[email-masked]> wrote:
>> Hi Authors,
>>
>> 1. I was going through RFC 6325 section 4.5.4 Tree Distribution optimization
>> section.? RFC tells about attachment state of vlans and routers, which was
>> not clear to me ,? as I have no idea of attachment state of vlans and
>> routers.So would you please throw a light on attachment state.
>
> An RBridge is considered to be "attached" to a VLAN if it is Appointed
> Forwarder for that VLAN for any port of that RBridge.
>
> Layer 3 routers are end stations. I think that Section talks only
> about multicast router attachment, which is what it sounds like. One
> of the RBridges ports is connect to a link that also has a Layer 3
> (actually IPv4 or IPv6 or both) multicast router attached.
>
>> 2. In section of 4.5.2 Multi-Destination Frame checks, RFC tells about
>> potential ingress trees,? in which I am not clear about the implicit
>> part:"The j potential ingress trees for RB2 are the ones with nicknames that
>> RB2 has explicitly specified "specified ingress tree nicknames" (and that
>> are included in the k campus-wide trees selected by highest priority RBridge
>> RB1), with the remainder (upto the maximum of {j,k}) being the highest
>> priority of the k campus-wide trees."
>>
>> ?suppose RB2,not the highest priority rbridge, has specified j=7 and
>>
>> D3,D4 are explicitly ?"specified ingress tree nicknames" .RB1, highest
>> priority RBridge,has specified K=5 and D1,D2,D3,D4,D5 as campus wide trees
>> to be calculated by all the rbridges in the campus.
>>
>> ?RB3 has to identify potential ingress trees of RB2,ingress trees are trees
>> which are explicitly specified by RB2 i.e. is D3,D4 and remainder are
>> implicit ingress trees upto 7 (as 7 is maximum
>>
>> {j=7,k=5}) are taken from k-campus wide trees which are ?D1,D2,D5.But the
>> concern here is only 5 trees have been selcted D1,D2,D3,D4,D5 instead of 7.
>> From where remaining 2 trees are selected ? can you please clarify on this.
>
> Sorry if the wording is a little unclear but there are lots of
> exceptions and corner cases here...
>
> There is a total ordering of all nicknames as tree roots. This is
> ordered by priority to be a tree root except that the RBridge that is
> the highest priority to be a tree root can alter the order by
> specifying some nicknames to be placed first in that ordering. When
> some other RBridge specifies the trees it can use, it takes the top j
> items for this ordered list except that it, also, may want to
> prioritize the use of certain trees. So the other RBridge can list
> trees that it wants to use. But if it doesn't list enough, the rest
> are taken from remaining nicknames on the total ordering list.
>
> Anyway, I believe that in the case you describe above, the 6th and 7th
> trees would be whatever two trees are highest in priority in the
> campus wide list after removing the D1 through D5. If, for example,
> there are only five nicknames in the campus, then it doesn't matter
> that j=7, only 5 trees would be possible so only 5 trees would be
> used.
>
> Thanks,
> Donald
> =============================
> ?Donald E. Eastlake 3rd?? +1-508-333-2270 (cell)
> ?155 Beaver Street,?Milford, MA 01757 USA
> ?[email-masked]
>
>> Regards,
>>
>> Siva
>
>
>
> ------------------------------
>
> Message: 2
> Date: Wed, 16 Nov 2011 01:22:12 -0500
> From: David Allan I <[email-masked]>
> Subject: Re: [rbridge] Adopt
>        draft-eastlake-trill-rbridge-fine-labeling-02.txt       as WG document
> To: "Tissa Senevirathne (tsenevir)" <[email-masked]>, Erik
>        Nordmark        <[email-masked]>, "[email-masked]" <[email-masked]>
> Message-ID:
>        <[email-masked]>
>
> Content-Type: text/plain; charset="us-ascii"
>
> HI Tissa:
>
> Having two 12 bit tags IS a common scenario and defined in what was 802.1ad now rolled up into 802.1Q(2011). However they are not considered simultaneously, nor imposed simultaneously. My concern is that by requiring a double tag be inferred from a single tag and vice versa you are forcing a change to components in silicon that would be common for both Ethernet and TRILL. Same issue applies to applying filtering/pruning to the VLAN tree.
>
> My 2 cents
> Dave
>
> -----Original Message-----
> From: Tissa Senevirathne (tsenevir) [mailto:[email-masked]]
> Sent: Wednesday, November 16, 2011 2:07 PM
> To: David Allan I; Erik Nordmark; [email-masked]
> Subject: RE: [rbridge] Adopt draft-eastlake-trill-rbridge-fine-labeling-02.txt as WG document
>
> Hi David
>
> TRILL allow VLAN based pruning. 6326bis draft already have added fine-grain labeling capability. This allow devices to prune based on fine label. Which in turn will limit the broadcast and ARP issue you brought up in point #3.
>
> On point #2. Having two 12 bit tags is a common scenario. Since we are limiting the interpretation of these two tags within the TRILL cloud and only within the cloud it is fine. Why ? Because TRILL link header is what 802.3 layer sees. Inner payload is for all practical purpose just like IP payload on a Ethernet encapped IP packet. Hence how the inner payload is treated should treated as a TRILL specific forwarding behavior not any shape violating 802.3.
>
> Thanks
> Tissa
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of David Allan I
> Sent: Tuesday, November 15, 2011 6:49 PM
> To: Erik Nordmark; [email-masked]
> Subject: Re: [rbridge] Adopt
> draft-eastlake-trill-rbridge-fine-labeling-02.txt as WG document
>
> I think I was the only person in the room to indicate disapproval for WG adoption....so I figure it is appropriate to offer my rationale...
>
> It is a slightly expanded version of my comments minuted at IETF 81...
>
> 1) This is solving a TRILL design problem in the Ethernet layer.
>
> 2) It is non standard from an Ethernet point of view, and although implementations exist that may stack more than one tag, processing them as a concatenation of tags IMO is still likely new and inconsistent, so this is dependent on a proprietary and non-standard feature. Similarly inferring a tag stack from a single received tag is a new behavior as well as the re-mapping of the dual tag to single tag or untagged frame at the egress.
>
> 3) It actually has limited utility as it does not offer any improved broadcast containment beyond egress filtering as it is nested inside the rbridge header (assuming implementations can filter on a concatentated tag stack). So it adds no value in additional scoping for MDTs for flooding and ARP.
>
> So I personally would suggest if you are going to require/mandate silicon modifications, they would be better off applied to the TRILL header itself vs. blurring the distinction between TRILL and 802.1 and introducing a discontinuity in standard compliant implementations. IEEE
> 802 has already provided a multi-sdo liaison a couple of years ago on how simultaneous multiple tag operations at a single hop is considered to be an architectural violation when proposals akin to this kind of abuse emerged during the GELS discussions.
>
> So I have no issue with TRILL finding a way to support a larger VLAN space, I just do not agree with the proposed approach...it IS interfering with someone elses standard and how companies would implement that standard, and these days that is a really bad precedent.
>
> I hope this helps
> Dave
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Erik Nordmark
> Sent: Wednesday, November 16, 2011 9:14 AM
> To: [email-masked]
> Subject: [rbridge] Adopt
> draft-eastlake-trill-rbridge-fine-labeling-02.txt as WG document
>
> At the TRILL WG meeting Tuesday there were several comments that the fine-grained label work is important and needs to be prioritized by the WG. There was also a rough consensus in the room in favor of adopting the document, as there was in Quebec City, but there were only about half as many people in the room that indicated they had read the document as at the last meeting. This is to confirm that it should be a WG document and ask people to read and comment.
>
>   Erik and Donald
> _______________________________________________
> rbridge mailing list
> [email-masked]
> http://mailman.postel.org/mailman/listinfo/rbridge
>
> _______________________________________________
> rbridge mailing list
> [email-masked]
> http://mailman.postel.org/mailman/listinfo/rbridge
>
>
>
> ------------------------------
>
> Message: 3
> Date: Wed, 16 Nov 2011 14:28:47 +0800
> From: [email-masked]
> Subject: Re: [rbridge] Adopt
>        draft-eastlake-trill-rbridge-fine-labeling-02.txt as WG document
> To: Erik Nordmark <[email-masked]>
> Cc: [email-masked], [email-masked]
> Message-ID:
>        <[email-masked]>
> Content-Type: text/plain; charset="gb2312"
>
> I have read the document and support adopting it as WG draft.
>
>
>
>
> Erik Nordmark <[email-masked]>
> ??????:  [email-masked]
> 2011-11-16 09:13
>
> ??????
> [email-masked]
> ????
>
> ????
> [rbridge] Adopt draft-eastlake-trill-rbridge-fine-labeling-02.txt       as
> WG document
>
>
>
>
>
>
> At the TRILL WG meeting Tuesday there were several comments that the
> fine-grained label work is important and needs to be prioritized by
> the WG. There was also a rough consensus in the room in favor of
> adopting the document, as there was in Quebec City, but there were
> only about half as many people in the room that indicated they had
> read the document as at the last meeting. This is to confirm that it
> should be a WG document and ask people to read and comment.
>
>   Erik and Donald
> _______________________________________________
> rbridge mailing list
> [email-masked]
> http://mailman.postel.org/mailman/listinfo/rbridge
>
>
>
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: http://mailman.postel.org/pipermail/rbridge/attachments/20111116/f9ac68bd/attachment-0001.html
>
> ------------------------------
>
> Message: 4
> Date: Wed, 16 Nov 2011 14:37:05 +0800
> From: Jon Hudson <[email-masked]>
> Subject: Re: [rbridge] Adopt
>        draft-eastlake-trill-rbridge-fine-labeling-02.txt as WG document
> To: Erik Nordmark <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> Message-ID: <[email-masked]>
> Content-Type: text/plain;       charset=us-ascii
>
>
> I have read the document and fully support making it a WG document.
>
> Many of my customers eagerly await this functionality.
>
> Jon
>
> On Nov 16, 2011, at 9:13 AM, Erik Nordmark <[email-masked]> wrote:
>
>> At the TRILL WG meeting Tuesday there were several comments that the
>> fine-grained label work is important and needs to be prioritized by
>> the WG. There was also a rough consensus in the room in favor of
>> adopting the document, as there was in Quebec City, but there were
>> only about half as many people in the room that indicated they had
>> read the document as at the last meeting. This is to confirm that it
>> should be a WG document and ask people to read and comment.
>>
>>   Erik and Donald
>> _______________________________________________
>> rbridge mailing list
>> [email-masked]
>> http://mailman.postel.org/mailman/listinfo/rbridge
>
>
> ------------------------------
>
> Message: 5
> Date: Tue, 15 Nov 2011 22:40:41 -0800
> From: "Tissa Senevirathne (tsenevir)" <[email-masked]>
> Subject: Re: [rbridge] Adopt
>        draft-eastlake-trill-rbridge-fine-labeling-02.txt as WG document
> To: "Radia Perlman" <[email-masked]>,   "Erik Nordmark"
>        <[email-masked]>
> Cc: [email-masked]
> Message-ID:
>        <[email-masked]>
> Content-Type: text/plain;       charset="iso-8859-1"
>
> I second Radia on the support for the finegrain draft moving to WG state.
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Radia Perlman
> Sent: Tuesday, November 15, 2011 10:15 PM
> To: Erik Nordmark
> Cc: [email-masked]
> Subject: Re: [rbridge] Adopt draft-eastlake-trill-rbridge-fine-labeling-02.txt as WG document
>
> I have read the document and support making it a WG document. There
> are a few typos here and there, but I don't see any technical errors,
> and the TRILL implementers say this is the encoding that is most
> convenient for their implementations, so I will take their word for
> that.  (I was distracted when you asked during the meeting, so I
> didn't raise my hand then.)
>
> Radia
>
>
> On Tue, Nov 15, 2011 at 5:13 PM, Erik Nordmark <[email-masked]> wrote:
>> At the TRILL WG meeting Tuesday there were several comments that the
>> fine-grained label work is important and needs to be prioritized by
>> the WG. There was also a rough consensus in the room in favor of
>> adopting the document, as there was in Quebec City, but there were
>> only about half as many people in the room that indicated they had
>> read the document as at the last meeting. This is to confirm that it
>> should be a WG document and ask people to read and comment.
>>
>> ? Erik and Donald
>> _______________________________________________
>> rbridge mailing list
>> [email-masked]
>> http://mailman.postel.org/mailman/listinfo/rbridge
>>
>
> _______________________________________________
> rbridge mailing list
> [email-masked]
> http://mailman.postel.org/mailman/listinfo/rbridge
>
>
>
> ------------------------------
>
> Message: 6
> Date: Wed, 16 Nov 2011 13:38:34 +0000
> From: Liyizhou <[email-masked]>
> Subject: Re: [rbridge] Adopt
>        draft-eastlake-trill-rbridge-fine-labeling-02.txt       as WG document
> To: Erik Nordmark <[email-masked]>, "[email-masked]"
>        <[email-masked]>
> Message-ID:
>        <[email-masked]>
>
> Content-Type: text/plain; charset=gb2312
>
> I have read the latest version and would like to support it to be a WG document.
>
> ________________________________________
> ??????: [email-masked] [[email-masked]] ???? Erik Nordmark [[email-masked]]
> ????????: 2011??11??16?? 9:13
> ??: [email-masked]
> ????: [rbridge] Adopt draft-eastlake-trill-rbridge-fine-labeling-02.txt   as WG document
>
> At the TRILL WG meeting Tuesday there were several comments that the
> fine-grained label work is important and needs to be prioritized by
> the WG. There was also a rough consensus in the room in favor of
> adopting the document, as there was in Quebec City, but there were
> only about half as many people in the room that indicated they had
> read the document as at the last meeting. This is to confirm that it
> should be a WG document and ask people to read and comment.
>
>   Erik and Donald
> _______________________________________________
> rbridge mailing list
> [email-masked]
> http://mailman.postel.org/mailman/listinfo/rbridge
>
>
>
> ------------------------------
>
> _______________________________________________
> rbridge mailing list
> [email-masked]
> http://mailman.postel.org/mailman/listinfo/rbridge
>
>
> End of rbridge Digest, Vol 90, Issue 11
> ***************************************
>

_______________________________________________
rbridge mailing list
[email-masked]
http://mailman.postel.org/mailman/listinfo/rbridge